shrink_active_range
Prev | More Memory Management Functions | Next

## Name

shrink_active_range — Shrink an existing registered range of PFNs

## Synopsis

`void __init shrink_active_range (` | unsigned int | nid,
| unsigned long | old_end_pfn,
| unsigned long | new_end_pfn`)`;

## Arguments

`nid`

  The node id the range is on that should be shrunk

`old_end_pfn`

  The old end PFN of the range

`new_end_pfn`

  The new PFN of the range

## Description

i386 with NUMA use `alloc_remap` to store a node_mem_map on a local node. The map is kept at the end physical page range that has already been registered with `add_active_range`. This function allows an arch to shrink an existing registered range.

Prev | Up | Next
add_active_range | Home | remove_all_active_ranges